#!/bin/sh

PROG=$(basename $0 .sh)

usage() {
	echo "Usage:"
	echo "  $PROG [-d output] script"
	echo "Options:"
	echo "  -o output    optional, default is boot.scr"
	echo ""
	echo "Packs given script into uImage format"
	echo ""
}

AUTORUN=boot.scr

while getopts ":ho:" option; do
	case $option in
		o)
			AUTORUN="$OPTARG"
			;;
		h)
			usage
			exit 0
			;;
		?)
			usage
			exit 1
			;;
	esac
done

shift $(($OPTIND - 1))

if [ $# -ne 1 ]; then
	usage
	exit 1
fi

INPUT="$1"

echo
echo "Packing $INPUT into uImage: $AUTORUN"
echo

mkimage -T script -C none -n 'Autorun Script' -d "$INPUT" "$AUTORUN"
